Межсайтовый скриптинг в Drupal Viewfield Module

Дата публикации:
04.03.2009
Дата изменения:
04.03.2009
Всего просмотров:
2062
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Viewfield Module 5.x
Уязвимые версии: Drupal Viewfield Module 5.x-1.5, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "description" в сценарии index.php, когда параметр "q" установлен в значение "admin/content/types/[TYPE NAME]/fields/[FIELD NAME]". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуются привилегии "administer content types".

URL производителя: drupal.org/project/viewfield

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.lampsecurity.org/node/20

или введите имя

CAPTCHA